
.ORG	0000h				; We'll use address $0000 and burn it onto a FlashROM (SST 39SF010A, PLCC32) with no Monitor nor BIOS.

DLY_360ms:	.EQU	0FFFFh	; 230ms

        LD	SP,	7FFFh		; Set the stack pointer to the top of Bank 1
		
TOP:	
		LD	BC,	0002h		
LOOP:	
		LD	A,	0
		OUT (34h), 	A	; Play melody/tone.
		CALL	DLY_360
		CALL	DLY_360		
		CALL	DLY_360	
		CALL	DLY_360	
		
		LD	A,	1
		OUT	(34h),	A	; Stop playing melody/tone.
		CALL	DLY_360				
		CALL	DLY_360	
		CALL	DLY_360	
		CALL	DLY_360			
		DJNZ LOOP		; Perform LOOP 2 times.
		JP TOP
		
		
DLY_360:									 
		LD	HL,	DLY_360ms	; 230mS delay.
loopDELAY:  														
        DEC L							
        JP NZ, loopDELAY				
        DEC H							
        JP NZ, loopDELAY				
        RET           							
		
		         
.END